24장. trigger
Create, list and manage build triggers.
24.1. activateBuildTrigger 링크 복사링크가 클립보드에 복사되었습니다!
Activate the specified build trigger.
POST /api/v1/repository/{repository}/trigger/{trigger_uuid}/activate
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
trigger_uuid | The UUID of the build trigger | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
| Name | Description | Schema |
|---|---|---|
|
config | Arbitrary json. | object |
|
pull_robot | The name of the robot that will be used to pull images. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST "https://quay-server.example.com/api/v1/repository/example_namespace/example_repo/trigger/example-trigger-uuid/activate" \
-H "Authorization: Bearer <your_access_token>" \
-H "Content-Type: application/json" \
-d '{
"config": {
"branch": "main"
},
"pull_robot": "example+robot"
}'